##############################################################################
## This file is part of 'LCLS2 Common Carrier Core'.
## It is subject to the license terms in the LICENSE.txt file found in the 
## top-level directory of this distribution and at: 
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html. 
## No part of 'LCLS2 Common Carrier Core', including this file, 
## may be copied, modified, propagated, or distributed except according to 
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once AmcCarrierDRAM.yaml

AmcCarrierDRAM: &AmcCarrierDRAM 
  class: MMIODev
  description: DRAM used by BSA, raw diagnostics 
  size: 0x200000000 # 8GB of address space
  ########
  children:
  ########
    dram:
      at:
        offset: 0x00000000
        stride: 8
        nelms: 0x40000000
      class: IntField
      name: dram
      sizeBits: 64
      lsBit: 0
      mode: RW
      description: DRAM
      hidden: true
  #########
  Commands:
  #########
    ##################################################
    # Add your top level commands here
    ##################################################
